### Enumeration

# Adw SidebarMode

since: 1.9

#### Declaration

    enum Adw.SidebarMode

#### Description [src]

Determines how an `AdwSidebar` should look and behave.

See `AdwSidebar:mode` and `AdwViewSwitcherSidebar:mode`.

Available since: 1.9

#### Members

`ADW_SIDEBAR_MODE_SIDEBAR`

  The sidebar should be displayed as a sidebar.

  - Value: `0`
  - Available since: 1.9
`ADW_SIDEBAR_MODE_PAGE`

  The sidebar should be displayed as boxed lists page.

  - Value: `1`
  - Available since: 1.9